package com.ruoyi.ems.enums;

/**
 * 设备类型
 *
 * @author ruoyi
 */
public enum FacTypes {
    /**
     * Product fac types.
     *
     * @author chen.cheng
     */
    PRODUCT("E", "能源生产系统"),
    /**
     * Transfer fac types.
     *
     * @author chen.cheng
     */
    TRANSFER("T", "中转系统"),
    /**
     * Transmit fac types.
     *
     * @author chen.cheng
     */
    TRANSMIT("W", "传输系统"),
    /**
     * Storage fac types.
     *
     * @author chen.cheng
     */
    STORAGE("C", "存储系统"),
    /**
     * Energy fac types.
     *
     * @author chen.cheng
     */
    ENERGY("Z", "用能系统");

    /**
     * The Code.
     *
     * @author chen.cheng
     */
    private final String code;

    /**
     * The Info.
     *
     * @author chen.cheng
     */
    private final String info;

    /**
     * Instantiates a new Fac types.
     *
     * @param code the code
     * @param info the info
     * @author chen.cheng
     */
    FacTypes(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     * @author chen.cheng
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     * @author chen.cheng
     */
    public String getInfo() {
        return info;
    }
}
